List Social Connections
List connected social accounts that can be used as post destinations.
Returns connected social accounts for the API key's organization. Use social_connection_id values in POST /social/post when you need to target specific accounts, including multiple accounts on the same platform.
Use POST /social/connections to create a new social connection setup flow.
Request
bash
curl -X GET "https://api.mosaic.so/social/connections" \
-H "Authorization: Bearer mk_your_api_key"Response
json
{
"connected_accounts": [
{
"social_connection_id": "4df2f2b9-4c5f-4b3a-9581-1bcb8b4f7d01",
"platform": "x",
"account_name": "Motion",
"account_username": "mosaic_so",
"profile_url": "https://x.com/mosaic_so"
},
{
"social_connection_id": "7f9388af-26e8-4e68-a52b-6b9a0ef3a017",
"platform": "linkedin",
"account_name": "Motion",
"account_username": "mosaic-so",
"profile_url": "https://www.linkedin.com/company/mosaic-so"
},
{
"social_connection_id": "62c07212-eeb5-40e2-9902-e478027b8628",
"platform": "x",
"account_name": "Motion",
"account_username": "motion_so",
"profile_url": "https://x.com/motion_so"
},
{
"social_connection_id": "8b59f2d7-53fa-4f47-9850-cb4b78b19a8d",
"platform": "linkedin",
"account_name": "Motion",
"account_username": "motion-so",
"profile_url": "https://www.linkedin.com/company/motion-so/"
}
]
}Response Details
social_connection_ididentifies one connected account on one platform.- Organizations can have multiple connections for the same
platform; use explicitdestinationswhen posting to avoid ambiguity.